# leave()

### Function leave()

{% code title="StandardRewards.sol" %}

```solidity
function leave(uint256 id, uint256 poolTokenAmount) external greaterThanZero(poolTokenAmount) nonReentrant
```

{% endcode %}

This function is used to withdraw staked pool tokens from a rewards program.

### Function Arguments

| Name            | Type    | Description                            |
| --------------- | ------- | -------------------------------------- |
| id              | uint256 | The ID of the rewards program.         |
| poolTokenAmount | uint256 | The number of pool tokens to withdraw. |

This function does not return anything.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/write-functions/rewards/leave.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
